## org.apache.poi.ss.formula.ptg
Class AreaErrPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperandPtg
              org.apache.poi.ss.formula.ptg.AreaErrPtg

All Implemented Interfaces:
  java.lang.Cloneable

    public final class AreaErrPtg

extends OperandPtg

AreaErr - handles deleted cell area references.

Author:
  Daniel Noll (daniel at nuix dot com dot au)

Field Summary
`static byte` `sid`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`AreaErrPtg()`
`AreaErrPtg(LittleEndianInput in)`

Method Summary
`byte` `getDefaultOperandClass()`
`int` `getSize()`
`java.lang.String` `toFormulaString()` return a string representation of this token alone
`void` `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### AreaErrPtg

    public AreaErrPtg()

### AreaErrPtg

    public AreaErrPtg(LittleEndianInput in)

Method Detail

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.